Package org.eclipse.jface.databinding.viewers

# Interface IViewerObservableList<E>

Type Parameters:
  `E` - the type of elements in this collection

All Superinterfaces:
  `Collection<E>`, `IObservable`, `IObservableCollection<E>`, `IObservableList<E>`, `Iterable<E>`, `IViewerObservable`, `List<E>`, `SequencedCollection<E>`

public interface IViewerObservableList<E> extends IObservableList<E>, IViewerObservable
`IObservableList` observing a JFace Viewer.

Since:
  1.2

## Method Summary

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface org.eclipse.core.databinding.observable.IObservable

`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

### Methods inherited from interface org.eclipse.core.databinding.observable.list.IObservableList

`add, addAll, addAll, addListChangeListener, contains, containsAll, equals, get, getElementType, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, move, remove, remove, removeAll, removeListChangeListener, retainAll, set, size, subList, toArray, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface org.eclipse.jface.databinding.viewers.IViewerObservable

`getViewer`

### Methods inherited from interface java.util.List

`add, addFirst, addLast, clear, getFirst, getLast, removeFirst, removeLast, replaceAll, reversed, sort, spliterator`